package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;
import com.gh.gamecenter.libao.LibaoFragment;

import java.util.ArrayList;

/**
 * Created by khy on 2016/12/12.
 * 礼包中心
 */
@Deprecated
public class LibaoActivity extends ToolBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface);
    }

    @NonNull
    public static Intent getIntent(Context context, String entrance) {
        Bundle args = new Bundle();
        args.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, LibaoActivity.class, LibaoFragment.class, args);
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface);
    }

    @Override
    protected void updateStaticViewBackground(View view) {
        ArrayList<Integer> blackList = new ArrayList<>();
        blackList.add(R.id.tab_title);
        updateStaticView(view, blackList);
    }
}
